import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取全部数组
mock.onGet('./assets/json/data-dictionary.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, [
        {
        srfkey: "YesNo",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "是",
                text: "是",
                "class":"",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "0",
                label: "否",
                text: "否",
                "class":"",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "ComponentType",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "DynamicForm",
                label: "动态表单",
                text: "动态表单",
                "class":"",
                "data":"",
                "codename":"Dynamicform",
                value: "DynamicForm",
                
                disabled: false,
            },
            {
                id: "DynamicSubForm",
                label: "动态子表单",
                text: "动态子表单",
                "class":"",
                "data":"",
                "codename":"Dynamicsubform",
                value: "DynamicSubForm",
                
                disabled: false,
            },
            {
                id: "DynamicGrid",
                label: "动态表格",
                text: "动态表格",
                "class":"",
                "data":"",
                "codename":"Dynamicgrid",
                value: "DynamicGrid",
                
                disabled: false,
            },
        ]
    },
    {
        "srfkey": "DstAppList",
        "emptytext": "未定义",
        "codelisttype":"dynamic",
        "appdataentity":"DstApp",
        "appdedataset":"FetchDefault",
        "items": []
    },
    {
        srfkey: "DynamicModelStatus",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "0",
                label: "未激活",
                text: "未激活",
                "class":"",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
            {
                id: "1",
                label: "已激活",
                text: "已激活",
                "class":"",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "AppType",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "INNER",
                label: "内置应用",
                text: "内置应用",
                "class":"",
                "data":"",
                "codename":"Inner",
                value: "INNER",
                
                disabled: false,
            },
            {
                id: "THIRD-PARTY",
                label: "第三方应用",
                text: "第三方应用",
                "class":"",
                "data":"",
                "codename":"Third_SUB_party",
                value: "THIRD-PARTY",
                
                disabled: false,
            },
        ]
    },
    {
        "srfkey": "DstSystemList",
        "emptytext": "未定义",
        "codelisttype":"dynamic",
        "appdataentity":"DstSystem",
        "appdedataset":"FetchDefault",
        "items": []
    }
    ]];
});

